use serde::{Deserialize, Serialize};

mod html;
pub mod servek;

#[derive(Debug, Clone, Serialize)]
struct ErrorTemplate {
    pub error: String,
}

#[derive(Debug, Clone, Deserialize)]
pub struct CreateProfileRequest {
    pub password_hash: String,
}

#[derive(Debug, Clone, Serialize)]
pub struct Login {
    pub token: String,
}
